Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class DeclarativeTreeDataModelImpl

    java.lang.Object
      javax.faces.model.DataModel<E>
          org.ajax4jsf.model.ExtendedDataModel<V>
              org.richfaces.model.TreeSequenceKeyModel<Object>
                  org.richfaces.model.DeclarativeTreeDataModelImpl

All Implemented Interfaces:
  Iterable<Object>, org.richfaces.model.DeclarativeTreeModel<Object>, org.richfaces.model.TreeDataModel<Object>

    public class DeclarativeTreeDataModelImpl

extends TreeSequenceKeyModel<Object>
implements org.richfaces.model.DeclarativeTreeModel<Object>

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.model.TreeDataModel
`SEPARATOR_CHAR`

Constructor Summary
`DeclarativeTreeDataModelImpl(AbstractTree tree)`

Method Summary
`Iterator<org.richfaces.model.TreeDataModelTuple>` | `children()`
`org.richfaces.model.TreeDataModelTuple` | `createSnapshot()`
`javax.faces.component.UIComponent` | `getCurrentComponent()`
`javax.faces.convert.Converter` | `getRowKeyConverter()`
`Object` | `getWrappedData()`
`boolean` | `isLeaf()`
`void` | `restoreFromSnapshot(org.richfaces.model.TreeDataModelTuple tuple)`
`protected void` | `setupKey(SequenceRowKey key)`
`void` | `setWrappedData(Object data)`

Methods inherited from class org.richfaces.model.TreeSequenceKeyModel
`getData, getParentRowKey, getRowCount, getRowData, getRowIndex, getRowKey, isDataAvailable, isRowAvailable, setData, setRowIndex, setRowKey, setRowKeyAndData, walk`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, iterator, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.model.TreeDataModel
`getData, getParentRowKey, getRowKey, isDataAvailable, setRowKey`

Constructor Detail

### DeclarativeTreeDataModelImpl

    public DeclarativeTreeDataModelImpl(AbstractTree tree)

Method Detail

### getCurrentComponent

    public javax.faces.component.UIComponent getCurrentComponent()

  Specified by:
    `getCurrentComponent` in interface `org.richfaces.model.DeclarativeTreeModel<Object>`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `org.richfaces.model.TreeDataModel<Object>`

### children

    public Iterator<org.richfaces.model.TreeDataModelTuple> children()

  Specified by:
    `children` in interface `org.richfaces.model.TreeDataModel<Object>`

### getWrappedData

    public Object getWrappedData()

  Specified by:
    `getWrappedData` in interface `org.richfaces.model.TreeDataModel<Object>`
  Specified by:
    `getWrappedData` in class `javax.faces.model.DataModel<Object>`

### setWrappedData

    public void setWrappedData(Object data)

  Specified by:
    `setWrappedData` in interface `org.richfaces.model.TreeDataModel<Object>`
  Specified by:
    `setWrappedData` in class `javax.faces.model.DataModel<Object>`

### setupKey

    protected void setupKey(SequenceRowKey key)

  Specified by:
    `setupKey` in class `TreeSequenceKeyModel<Object>`

### createSnapshot

    public org.richfaces.model.TreeDataModelTuple createSnapshot()

  Specified by:
    `createSnapshot` in interface `org.richfaces.model.TreeDataModel<Object>`

### restoreFromSnapshot

    public void restoreFromSnapshot(org.richfaces.model.TreeDataModelTuple tuple)

  Specified by:
    `restoreFromSnapshot` in interface `org.richfaces.model.TreeDataModel<Object>`

### getRowKeyConverter

    public javax.faces.convert.Converter getRowKeyConverter()

  Specified by:
    `getRowKeyConverter` in interface `org.richfaces.model.TreeDataModel<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.